"use strict";
/* eslint-disable @typescript-eslint/no-var-requires */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStoragePath = exports.getAppVersion = exports.getAppName = void 0;
function getElectronApp() {
    let app;
    try {
        app = require('@electron/remote').app;
    }
    catch (e1) {
        try {
            app = require('electron').app;
        }
        catch (e2) {
            // eslint-disable-next-line no-console
            console.log('Could not load @electron/remote', e1.message, e2.message);
        }
    }
    return app;
}
function getAppName() {
    return getElectronApp()?.getName();
}
exports.getAppName = getAppName;
function getAppVersion() {
    return getElectronApp()?.getVersion();
}
exports.getAppVersion = getAppVersion;
function getStoragePath() {
    const basepath = getElectronApp()?.getPath('userData');
    if (!basepath) {
        throw new Error('The storage path is not defined.');
    }
    return basepath;
}
exports.getStoragePath = getStoragePath;
//# sourceMappingURL=electron.js.map